﻿namespace HoistingCrane.Entities;
///Класс-сущность "Автомобиль"

public class EntityCrane
{
    /// Скорость
    public int Speed { get; private set; }
    /// Вес
    public double Weight { get; private set; }
    /// Основной цвет
    public Color BodyColor { get; private set; }
    /// Шаг перемещения автомобиля
    public double Step => Speed * 100 / Weight;
    /// Конструктор сущности
    /// <param name="speed">Скорость</param>
    /// <param name="weight">Вес автомобиля</param>
    /// <param name="bodyColor">Основной цвет</param>
    public EntityCrane(int speed, double weight, Color bodyColor)
    {
        Speed = speed;
        Weight = weight;
        BodyColor = bodyColor;
    }
}